Skip to content
Docs

Remove a domain from a project

DELhttps://api.vercel.com/v9/projects/{idOrName}/domains/{domain}
Remove a domain from a project by passing the domain name and by specifying the project by either passing the project id or name in the URL.
https://api.vercel.com/v9/projects/{idOrName}/domains/{domain}
const response = await fetch('https://api.vercel.com/v9/projects/idOrName/domains/domain?teamId=string&slug=string', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
"value"
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The unique project identifier or the project name
domainstringRequired
The project domain name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
removeRedirectsbooleanOptional
Whether to remove all domains from this project that redirect to the domain being removed.
200The domain was succesfully removed from the project
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409The project is currently being transferred
410Error